%define section free

Name:           gcviewer
Version:        1.15
Release:        1jpp
Epoch:          0
Summary:        Java garbage collection visualizer
License:        LGPL
URL:            http://www.tagtraum.com/gcviewer.html
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.tagtraum.com/download/gcviewer-1.15.tar.gz
Source1:        %{name}.gcviewer.script
Source2:        %{name}.icon-32.png
Source3:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
Requires:       jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.4, ant-optional >= 0:1.4, junit
BuildRequires:  jpackage-utils >= 0:1.5

%description
GCViewer is a tool to visualize the data produced by the Java VM options
-verbose:gc and -Xloggc:<file>. This can be very useful when tuning the
garbage collection of a particular application by changing generation sizes
or setting the initial heap size. For more information on tuning garbage
collection, take a look at the documentation provided by Sun.
Supported formats:
- Sun JDK 1.2.2/1.3.1/1.4 with the option -verbose:gc
- Sun JDK 1.4 with the option -Xloggc:<file> (preferred)
- IBM JDK 1.2.2/1.3.0/1.3.1 with the option -verbose:gc
GCViewer can also export the data in CSV (comma separated values) format,
which may easily be imported in spreadsheet applications for further
processing.

%package        mdkmenu
Summary:	Mandrake menu entry for %{name}
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description    mdkmenu
This is a Mandrake menu system entry for %{name}.

%package        legacymenu
Summary:	Legacy menu entry for %{name}
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:      redhat-menus

%description    legacymenu
This is a legacy menu entry for %{name}.


%prep
%setup -q
# Remove pre-built stuff.
ant clean
rm -f lib/junit.jar


%build
CLASSPATH=%(build-classpath junit) ant all


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# scripts
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# mdk menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
icon="%{name}.png"\\
section="Applications/Development/Development environments"\\
title="GCViewer" \
longtitle="Java garbage collection visualizer"
EOF
# icons for mdk menu
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

# legacy menu entry + icon
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
cp -p %{SOURCE3} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop

# freedesktop.org menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/{applications,pixmaps}
cp -p %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop
cp -p %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus


%files
%defattr(0644,root,root,0755)
%doc *.txt doc
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/*
%{_iconsdir}/*

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*


%changelog
* Fri Oct 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.15-1jpp
- Update to 1.15.
- Save .spec in UTF-8.

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.14-1jpp
- Update to 1.14.

* Tue May 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.13-2jpp
- Rebuild for JPackage 1.5.

* Wed Jul 10 2002 Ville Skyttä <ville.skytta at iki.fi> 1.13-1jpp
- Update to 1.13.

* Sat Jun 29 2002 Ville Skyttä <ville.skytta at iki.fi> 1.12-1jpp
- First JPackage release.
